#include "compo.h"

#include "define.h"

	struct BUTTON {
		int numero;		//1-boton 2-luzRoja 3-luzVerde 4-entradas 5-TEXTO
		char *nombre;
		char estado;
		char enable;
		int x;
		int y;
		int w;
		int h;
	};


	struct  BUTTON nboton[MAXBOTONES];
	struct  BUTTON nluz[MAXLUCES];
	struct  BUTTON nentrada[MAXENTRADAS];
	struct  BUTTON ntexto[MAXTEXTOS];
	struct  BUTTON nzona[MAXZONAS];

void Inizonas()
{
	nzona[0].numero=6;
	nzona[0].nombre="GPIO2";
	nzona[0].estado=0;
	nzona[0].x=70;
	nzona[0].y=46;
	nzona[0].w=128;
	nzona[0].h=37;	
	
	
	nzona[1].numero=6;
	nzona[1].nombre="GPIO3";
	nzona[1].estado=0;
	nzona[1].x=70;
	nzona[1].y=84;
	nzona[1].w=128;
	nzona[1].h=35;	
	
	nzona[2].numero=6;
	nzona[2].nombre="GPIO4";
	nzona[2].estado=0;
	nzona[2].x=70;
	nzona[2].y=120;
	nzona[2].w=128;
	nzona[2].h=35;	
	
	nzona[3].numero=6;
	nzona[3].nombre="GPIO17";
	nzona[3].estado=0;
	nzona[3].x=70;
	nzona[3].y=184;
	nzona[3].w=128;
	nzona[3].h=35;	
	
	nzona[4].numero=6;
	nzona[4].nombre="GPIO27";
	nzona[4].estado=0;
	nzona[4].x=70;
	nzona[4].y=221;
	nzona[4].w=128;
	nzona[4].h=35;
	
	nzona[5].numero=6;
	nzona[5].nombre="GPIO10";
	nzona[5].estado=0;
	nzona[5].x=70;
	nzona[5].y=318;
	nzona[5].w=128;
	nzona[5].h=35;
	
	nzona[6].numero=6;
	nzona[6].nombre="GPIO9";
	nzona[6].estado=0;
	nzona[6].x=70;
	nzona[6].y=357;
	nzona[6].w=128;
	nzona[6].h=35;
	
	nzona[7].numero=6;
	nzona[7].nombre="GPIO11";
	nzona[7].estado=0;
	nzona[7].x=70;
	nzona[7].y=393;
	nzona[7].w=128;
	nzona[7].h=35;
	
	nzona[8].numero=6;
	nzona[8].nombre="GPIO14";
	nzona[8].estado=0;
	nzona[8].x=450;
	nzona[8].y=111;
	nzona[8].w=128;
	nzona[8].h=35;
	
	nzona[9].numero=6;
	nzona[9].nombre="GPIO15";
	nzona[9].estado=0;
	nzona[9].x=450;
	nzona[9].y=147;
	nzona[9].w=128;
	nzona[9].h=35;
	
	nzona[10].numero=6;
	nzona[10].nombre="GPIO18";
	nzona[10].estado=0;
	nzona[10].x=450;
	nzona[10].y=188;
	nzona[10].w=128;
	nzona[10].h=35;
	
	nzona[11].numero=6;
	nzona[11].nombre="GPIO23";
	nzona[11].estado=0;
	nzona[11].x=450;
	nzona[11].y=253;
	nzona[11].w=128;
	nzona[11].h=35;
	
	nzona[12].numero=6;
	nzona[12].nombre="GPIO24";
	nzona[12].estado=0;
	nzona[12].x=450;
	nzona[12].y=291;
	nzona[12].w=128;
	nzona[12].h=35;
	
	nzona[13].numero=6;
	nzona[13].nombre="GPIO25";
	nzona[13].estado=0;
	nzona[13].x=450;
	nzona[13].y=348;
	nzona[13].w=128;
	nzona[13].h=35;
	
	nzona[14].numero=6;
	nzona[14].nombre="GPIO8";
	nzona[14].estado=0;
	nzona[14].x=450;
	nzona[14].y=385;
	nzona[14].w=128;
	nzona[14].h=35;
	
	nzona[15].numero=6;
	nzona[15].nombre="GPIO7";
	nzona[15].estado=0;
	nzona[15].x=450;
	nzona[15].y=423;
	nzona[15].w=128;
	nzona[15].h=35;
	
	nzona[16].numero=6;
	nzona[16].nombre="GPIO22";
	nzona[16].estado=0;
	nzona[16].x=70;
	nzona[16].y=257;
	nzona[16].w=128;
	nzona[16].h=35;
	
	nzona[17].numero=-1;
	nzona[17].nombre="Dig2";
	nzona[17].estado=0;
	nzona[17].x=500;
	nzona[17].y=436;
	nzona[17].w=128;
	nzona[17].h=35;
	
	nzona[18].numero=-1;
	
		
}



void Initextos()
{
	ntexto[0].numero=5;
	ntexto[0].nombre="Control OUTPUT";
	ntexto[0].x=1;
	ntexto[0].y=2;
	ntexto[0].w=8;
	ntexto[0].h=8;	

	ntexto[1].numero=-1;
	
	
} 

void Inibotones()
{
    nboton[0].numero=1;
	nboton[0].nombre="EXIT";
	nboton[0].x=471;
	nboton[0].y=10;
	nboton[0].w=89;
	nboton[0].h=25;
	
	nboton[1].numero=1;
	nboton[1].nombre="OFF ALL";
	nboton[1].x=471;
	nboton[1].y=40;
	nboton[1].w=89;
	nboton[1].h=25;
	
	nboton[2].numero=1;
	nboton[2].nombre="ON ALL";
	nboton[2].x=471;
	nboton[2].y=70;
	nboton[2].w=89;
	nboton[2].h=25;

	nboton[3].numero=-1;	
	
}


void IniLuces()
{
	nluz[0].numero=-1;
	nluz[0].nombre="GPS ok";
	nluz[0].estado=0;
	nluz[2].enable=1;
	nluz[0].x=470;
	nluz[0].y=277;
	nluz[0].w=89;
	nluz[0].h=25;

	nluz[1].numero=-1;
	
}	




void Inientradas()
{
	nentrada[0].numero=-1;
	nentrada[0].nombre="CADENA";
	nentrada[0].estado=4;
	nentrada[0].enable=1;
	nentrada[0].x=15;
	nentrada[0].y=359;
	nentrada[0].w=525;
	nentrada[0].h=25;

	
	nentrada[1].numero=-1;
		
}
