#include <SDL/SDL.h>
#include "SDL/SDL_ttf.h"
#include "SDL/SDL_image.h"
#include "SDL/SDL_mixer.h"

#include "compo.h"

#include "define.h"


SDL_Surface *load_image( char *filename );
void clean_up();
int init();

void apply_surface( int x, int y, SDL_Surface* source, SDL_Surface* destination );
void apply_surfaceB( int x, int y, SDL_Surface* source, SDL_Surface* destination,SDL_Rect* clip );

void PaintText(int x,int y,int w,int h,char *texto,unsigned char tipo,int clase);
void PaintTex(int numero,int modo);
void PaintTextos();

extern	SDL_Surface *background; 
extern  SDL_Surface *background2;  
extern	SDL_Surface *dots;
extern 	SDL_Surface *screen;

extern TTF_Font *font;
extern SDL_Color textColor;
extern 	Mix_Chunk *sonido;


	struct BUTTON {
		int numero;		//1-boton 2-luzRoja 3-luzVerde 4-entradas 5-TEXTO
		char *nombre;
		char estado;
		char enable;
		int x;
		int y;
		int w;
		int h;
	};

extern	struct  BUTTON nboton[MAXBOTONES];
extern	struct  BUTTON nluz[MAXLUCES];
extern	struct  BUTTON nentrada[MAXENTRADAS];
extern	struct  BUTTON ntexto[MAXTEXTOS];
extern  struct  BUTTON nzona[MAXZONAS];

extern const int SCREEN_WIDTH; 
extern	const int SCREEN_HEIGHT; 
extern	const int SCREEN_BPP;


